flutter_simple_video_player 0.0.3

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 41

flutter_page_video #

Flutter 视频播放插件

依赖 #

dependencies:
  flutter_simple_video_player: ^0.0.2

示例 #

import 'package:flutter/material.dart';
import 'package:flutter_simple_video_player/flutter_simple_video_player.dart';

void main() => runApp(new MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      title: 'Flutter Video Demo',
      theme: new ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: new Scaffold(
        appBar: AppBar(
          title: Text("Video"),
        ),
        body:  Home()
      ),
    );
  }
}


class Home extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: ListView(
        children: <Widget>[
          RaisedButton(onPressed: (){
            Navigator.push(
              context,
              MaterialPageRoute(builder: (context) => VideoFullPage('https://youku.cdn-56.com/20180622/3878_d3968706/index.m3u8',)),
            );
          }, child: Text("full play video"),),
          Container(
            height: 256.0,
            color: Colors.black,
            child: Center(
              child: NetVideo("https://youku.cdn-56.com/20180622/3878_d3968706/index.m3u8"),
            ),
          ),
        ],
      ),
    );
  }
}

[0.0.1] - 2018-08-06

  • 全屏播放视频

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:flutter_simple_video_player/flutter_simple_video_player.dart';

void main() => runApp(new MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      title: 'Flutter Video Demo',
      theme: new ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: new Scaffold(
        appBar: AppBar(
          title: Text("Video"),
        ),
        body:  Home()
      ),
    );
  }
}


class Home extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: ListView(
        children: <Widget>[
          RaisedButton(onPressed: (){
            Navigator.push(
              context,
              MaterialPageRoute(builder: (context) => VideoFullPage('https://youku.cdn-56.com/20180622/3878_d3968706/index.m3u8',)),
            );
          }, child: Text("full play video"),),
          Container(
            height: 256.0,
            color: Colors.black,
            child: Center(
              child: NetVideo("https://youku.cdn-56.com/20180622/3878_d3968706/index.m3u8"),
            ),
          ),
        ],
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_simple_video_player: ^0.0.3

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_simple_video_player/flutter_simple_video_player.dart';
  
Version Uploaded Documentation Archive
0.0.9 Mar 1, 2019 Go to the documentation of flutter_simple_video_player 0.0.9 Download flutter_simple_video_player 0.0.9 archive
0.0.8 Dec 21, 2018 Go to the documentation of flutter_simple_video_player 0.0.8 Download flutter_simple_video_player 0.0.8 archive
0.0.7 Nov 6, 2018 Go to the documentation of flutter_simple_video_player 0.0.7 Download flutter_simple_video_player 0.0.7 archive
0.0.6 Aug 16, 2018 Go to the documentation of flutter_simple_video_player 0.0.6 Download flutter_simple_video_player 0.0.6 archive
0.0.5 Aug 16, 2018 Go to the documentation of flutter_simple_video_player 0.0.5 Download flutter_simple_video_player 0.0.5 archive
0.0.4 Aug 16, 2018 Go to the documentation of flutter_simple_video_player 0.0.4 Download flutter_simple_video_player 0.0.4 archive
0.0.3 Aug 16, 2018 Go to the documentation of flutter_simple_video_player 0.0.3 Download flutter_simple_video_player 0.0.3 archive
0.0.2 Aug 6, 2018 Go to the documentation of flutter_simple_video_player 0.0.2 Download flutter_simple_video_player 0.0.2 archive
0.0.1 Aug 6, 2018 Go to the documentation of flutter_simple_video_player 0.0.1 Download flutter_simple_video_player 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
82
Health:
Code health derived from static analysis. [more]
--
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
--
Overall:
Weighted score of the above. [more]
41
Learn more about scoring.

The package version is not analyzed, because it does not support Dart 2. Until this is resolved, the package will receive a health and maintenance score of 0.

Analysis issues and suggestions

Support Dart 2 in pubspec.yaml.

The SDK constraint in pubspec.yaml doesn't allow the Dart 2.0.0 release. For information about upgrading it to be Dart 2 compatible, please see https://dart.dev/dart-2#migration.

Maintenance issues and suggestions

Make sure dartdoc successfully runs on your package's source files. (-10 points)

Dependencies were not resolved.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.19.0 <2.0.0